# Form implementation generated from reading ui file 'src/eric7/Plugins/WizardPlugins/DotDesktopWizard/DotDesktopListSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_DotDesktopListSelectionDialog(object):
    def setupUi(self, DotDesktopListSelectionDialog):
        DotDesktopListSelectionDialog.setObjectName("DotDesktopListSelectionDialog")
        DotDesktopListSelectionDialog.resize(450, 400)
        DotDesktopListSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(DotDesktopListSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=DotDesktopListSelectionDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.entriesList = QtWidgets.QListWidget(parent=DotDesktopListSelectionDialog)
        self.entriesList.setAlternatingRowColors(True)
        self.entriesList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.entriesList.setObjectName("entriesList")
        self.verticalLayout.addWidget(self.entriesList)
        self.subList = QtWidgets.QListWidget(parent=DotDesktopListSelectionDialog)
        self.subList.setAlternatingRowColors(True)
        self.subList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.subList.setObjectName("subList")
        self.verticalLayout.addWidget(self.subList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=DotDesktopListSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(DotDesktopListSelectionDialog)
        self.buttonBox.accepted.connect(DotDesktopListSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(DotDesktopListSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(DotDesktopListSelectionDialog)
        DotDesktopListSelectionDialog.setTabOrder(self.entriesList, self.subList)
        DotDesktopListSelectionDialog.setTabOrder(self.subList, self.buttonBox)

    def retranslateUi(self, DotDesktopListSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        DotDesktopListSelectionDialog.setWindowTitle(_translate("DotDesktopListSelectionDialog", "Select Entries"))
        self.label.setText(_translate("DotDesktopListSelectionDialog", "Select applicable entries:"))
        self.entriesList.setSortingEnabled(True)
        self.subList.setSortingEnabled(True)
